=== debian/changelog ===
ros-galactic-pluginlib (5.0.1-1focal) focal; urgency=high

  * extend termination condition to avoid infinite loop if package.xml is not found (#243 <https://github.com/ros/pluginlib/issues/243>)
  * Contributors: Alberto Soragna

 -- Michael Carroll <michael@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-pluginlib (5.0.0-1focal) focal; urgency=high

  * Use rcpputils for the filesystem implementation. (#212 <https://github.com/ros/pluginlib/issues/212>)
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-pluginlib (4.1.2-1focal) focal; urgency=high

  * Check for NULL in XMLElement::Attribute
  * Check for NULL in XMLElement::GetText
  * Check for NULL in XMLNode::Value
  * Remove unused variable output_library (#211 <https://github.com/ros/pluginlib/issues/211>)
  * Make Chris a maintainer of pluginlib. (#210 <https://github.com/ros/pluginlib/issues/210>)
  * Add QNX C++ fs library compiler option (#205 <https://github.com/ros/pluginlib/issues/205>)
  * Contributors: Ahmed Sobhy, Chris Lalancette, Jeremie Deray, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-pluginlib (4.1.1-1focal) focal; urgency=high

  * Fix cmake 3.5 compatibility (#203 <https://github.com/ros/pluginlib/issues/203>)
  * Contributors: Karsten Knese

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 27 Aug 2020 07:00:00 -0000

ros-galactic-pluginlib (4.1.0-1focal) focal; urgency=high

  * Add function for same-package pluginlib tests (#201 <https://github.com/ros/pluginlib/issues/201>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 25 Aug 2020 07:00:00 -0000

ros-galactic-pluginlib (4.0.0-1focal) focal; urgency=high

  * Remove deprecated boost functions (#199 <https://github.com/ros/pluginlib/issues/199>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 06 Aug 2020 07:00:00 -0000

ros-galactic-pluginlib (2.5.2-1focal) focal; urgency=high

  * Link against tinyxml2 correctly (#190 <https://github.com/ros/pluginlib/issues/190>)
  * Export tinyxml2 directly from pluginlib-extras.cmake (#192 <https://github.com/ros/pluginlib/issues/192>)
  * Contributors: Karsten Knese, Sean Yen

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-pluginlib (2.5.1-1focal) focal; urgency=high

  * Add missing export of stdc++fs and TinyXML2 via modern CMake (#189 <https://github.com/ros/pluginlib/issues/189>)
  * Contributors: Dirk Thomas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 07 May 2020 07:00:00 -0000

ros-galactic-pluginlib (2.5.0-1focal) focal; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#188 <https://github.com/ros/pluginlib/issues/188>)
  * Use rcpputils for library names. (#186 <https://github.com/ros/pluginlib/issues/186>)
  * Fix filesystem linking on clang9. (#183 <https://github.com/ros/pluginlib/issues/183>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Emerson Knapp

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-galactic-pluginlib (2.4.1-1focal) focal; urgency=high

  * Avoid build break for Visual Studio 2019 v16.3 (#166 <https://github.com/ros/pluginlib/issues/166>)
  * Contributors: Sean Yen, Steven! Ragnarök

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-pluginlib (2.4.0-1focal) focal; urgency=high

  * Export tinyxml2 libraries downstream. (#154 <https://github.com/ros/pluginlib/issues/154>)
  * Contributors: Esteve Fernandez

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 18 Sep 2019 07:00:00 -0000

ros-galactic-pluginlib (2.3.1-1focal) focal; urgency=high

  * [ros2] Cast pointers to void * when using %p (#152 <https://github.com/ros/pluginlib/issues/152>)
  * Contributors: Shane Loretz

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-pluginlib (2.3.0-1focal) focal; urgency=high

  * Updated build to choose the appropriate library for experimental filesystem, based on the compiler and standard library. (#146 <https://github.com/ros/pluginlib/issues/146>)
  * Added stdc++fs as a target link library for clang compiler on linux. (#144 <https://github.com/ros/pluginlib/issues/144>)
  * Added Michael as maintainer (for build e-mails). (#137 <https://github.com/ros/pluginlib/issues/137>)
  * Contributors: Emerson Knapp, Michael Carroll, bhatsach

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-pluginlib (2.2.1-1focal) focal; urgency=high

  * Removed extraneous link lines. (#135 <https://github.com/ros/pluginlib/issues/135>)
  * Collapsed testing packages back into pluginlib package. (#134 <https://github.com/ros/pluginlib/issues/134>)
  * Contributors: Michael Carroll

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-galactic-pluginlib (2.2.0-1focal) focal; urgency=high

  * Reorganized tests into fixture and consumer packages. (#130 <https://github.com/ros/pluginlib/issues/130>)
  * Updated maintainer (#129 <https://github.com/ros/pluginlib/issues/129>)
  * Fixed plugin description installation to relative subdirectory (#122 <https://github.com/ros/pluginlib/issues/122>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-galactic-pluginlib (2.1.1-1focal) focal; urgency=high

  * export rcutils (#120 <https://github.com/ros/pluginlib/issues/120>)
  * Contributors: Karsten Knese

 -- Steven! Ragnarök <stevenragnarok@osrfoundation.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-galactic-pluginlib (2.1.0-1focal) focal; urgency=high


